## SLPGetProperty

### Declaration

`#include <slp.h>`

`const char* SLPGetProperty( const char* name)`

### Description

Returns the value of the corresponding SLP property name. The returned string is owned by the library and MUST NOT be freed.

### Parameters

`name` | The name of a net.slp property to get. See OpenSLP Users Guide for a list of supported properties

### Returns

A very thread unsafe character pointer to a string containing the property value. If an error occurs, like the property `name` is not found, NULL is returned so don't forget to check for NULL!

### Status

OpenSLP 0.6.0 | Fully implemented as specified by RFC 2614.

### Notes

For some reason the SLP API writers decided to make SLPGetProperty() and SLPSetProperty() calls impossible to implement in a thread safe manner. For this reason OpenSLP only allows read only access to SLP properties. Properties are read into static data structures when the process loads, and never changed so at least SLPGetProperty() can be called from threaded applications.

### See Also

SLPSetProperty(), Open SLP Users Guide